# Setup

## Step 1:

You will receive the following data for your project

```
1. Project ID (UUID string)
2. project_secret (string)
3. jwt public key (for varifying the jwt token, optional)
```

## Step 2:

Use the following private API to update your account info

## Update account info

<mark style="color:green;">`POST`</mark> [https://api.well.eco/oauth/account/{project\_id}](https://api.well.eco/oauth/account/{your_project_id})

An API to update your account info

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body(JSON)**

<table><thead><tr><th width="216">Name</th><th>description</th></tr></thead><tbody><tr><td>secret</td><td>The secret provided by us (required)</td></tr><tr><td>host</td><td>The host that match your website, you need to set this for your account to work probably</td></tr><tr><td>privacyPolicyURL</td><td>Your privacy policy page URL (optional)</td></tr><tr><td>termsOfServiceURL</td><td>Your terms of service page URL (optional)</td></tr><tr><td>logoURL</td><td>Your logo url, prefer linking to a 50x50 jpg image, please set this as it will affect how your project looks on the WECO website</td></tr><tr><td>infoURL</td><td>Link to your website, will display on WECO website</td></tr><tr><td>type</td><td>Type of your project, will display on WECO website</td></tr><tr><td>chain</td><td>Chain of your project, will display on WECO website</td></tr><tr><td>tgResultCallbackURL</td><td>Required if you are using the oauth in a telegram app</td></tr><tr><td>tgBotID</td><td>Required if you are using the oauth in a telegram app</td></tr><tr><td>tgBotMiniAppURL</td><td>Required if you are using the oauth in a telegram app, the url to open your telegram mini app</td></tr></tbody></table>

## Example

```
{
    "secret": "your_project_secret",
    "host": "test.com",
    "privacyPolicyURL": "https://test.com/privacy.html",
    "termsOfServiceURL": "https://test.com/tos.html",
    "logoURL": "https://test.com/logo.jpg",
    "infoURL": "https://test.com",
    "type": "AI",
    "chain": "ETH",
    "tgResultCallbackURL": "https://api.test.com/tg_callback",
    "tgBotID": "test",
    "tgBotMiniAppURL": "https://t.me/test/page",
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "host": "test.com",
    "privacyPolicyURL": "https://test.com/privacy.html",
    "termsOfServiceURL": "https://test.com/tos.html",
    "logoURL": "https://test.com/logo.jpg",
    "infoURL": "https://test.com",
    "tgResultCallbackURL": "https://api.test.com/tg_callback",
    "tgBotID": "test",
    "tgBotMiniAppURL": "https://t.me/test/page",
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.well.eco/api-integration/quickstart.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
